#
# spec file for package intel-hybrid-driver
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           intel-hybrid-driver
Version:        1.0.2
Release:        lp152.3.7
Summary:        VA driver for Intel G45 & HD Graphics family
License:        MIT
Url:            https://github.com/01org/intel-hybrid-driver
Source0:        https://github.com/01org/intel-hybrid-driver/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(libcmrt) >= 0.10.0
BuildRequires:  pkgconfig(libdrm) >= 2.4.45
BuildRequires:  pkgconfig(libva) >= 0.38
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(wayland-client)
# Obviously only for intel platform
ExclusiveArch:  %{ix86} x86_64 ia64

%description
This is the VA-API implementation for Intel G45 chipsets
and Intel HD Graphics for Intel Core processor family.

%prep
%autosetup

%build
autoreconf -fiv
%configure \
	--enable-drm \
	--enable-x11 \
	--enable-wayland \
	%{nil}
make

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc NEWS README
%dir %{_libdir}/dri
%{_libdir}/dri/hybrid_drv_video.so

%changelog
* Thu Sep 21 2017 sndirsch@suse.com
- fixed build on Leap (apparently there is no %%make_build macro yet)
* Fri Aug 18 2017 zaitor@opensuse.org
- Initial packaging for openSUSE, version 1.0.2.
